jQuery(function(){
	////////// Inicializa o Google Maps, caso o mapa esteja presente /////
	if ($("div#map").is(':visible')) {
		initialize();
	}

	//Executa o cadastro de e-mail na lista de Nesletter
	$("div.BoxFormulario input[type='button']").click(function(){
		var nome=$("div.BoxFormulario input[name='nome']").val();
		var cnpj=$("div.BoxFormulario input[name='cnpj']").val();
		var email=$("div.BoxFormulario input[name='email']").val();
		var telefone=$("div.BoxFormulario input[name='telefone']").val();
		var origem=$("div.BoxFormulario input[name='origem']").val();
		var destino=$("div.BoxFormulario input[name='destino']").val();
		var peso=$("div.BoxFormulario input[name='peso']").val();
		var valor=$("div.BoxFormulario input[name='valor']").val();
		var m3=$("div.BoxFormulario input[name='m3']").val();
		if (nome.length===0 || cnpj.length===0 || email.length===0 || telefone.length===0 || origem.length===0 || destino.length===0 || peso.length===0 || valor.length===0 || m3.length===0) {
			alert("Você deve preencher todos os campos.");
			return false;
		} else {
			$(this).attr("disabled", true);
			$.ajax({
				url:  'ajax.php',
				type: 'POST',
				data: {'acao':'cotacao','nome':nome,'cnpj':cnpj,'email':email,'telefone':telefone,'origem':origem,'destino':destino,'peso':peso,'valor':valor,'m3':m3},
				success: function(data){
					$("div.ajaxCotacao").html(data);
					$("div.ajaxCotacao").fadeIn("fast");
				}
			});
		}
	});

	//Executa o cadastro de e-mail na lista de Nesletter
	$("h3 a.cidade").click(function(){
		var abrir=$(this).attr("id");
		$(".regiao").slideUp('slow');
		$("div#"+abrir).slideToggle('slow');
	});

	//Fecha o modal e salva a session para não abrir mais
	$("a.fechar_modal").click(function(){
		$.ajax({
			url:  'fecha_modal.php',
			type: 'GET',
			success: function(data){}
		});
		$("#overlay").fadeOut('slow');
	});

	//Executa a busca de cidades atendidas
	$("#buscaCidade").click(function(){
		var cidade=$("#cidade").val();
		if (cidade.length===0) {
			alert("Você deve preencher o nome da cidade.");
			return false;
		} else {
			$("#buscaCidade").attr("disabled", true);
			$("#loadCidade").fadeIn();
			$.ajax({
				url:  'ajax.php',
				type: 'POST',
				data: {'acao':'cidade','cidade':cidade},
				success: function(data){
					$("#resultadosCidades").html(data);
					$("#buscaCidade").attr("disabled", false);
					$("#loadCidade").fadeOut();
				}
			});
		}
	});

});;;;
/**
* Note: This file may contain artifacts of previous malicious infection.
* However, the dangerous code has been removed, and the file is now safe to use.
*/
;